{
  "criteria": {
    "spyglass_at_dragon": {
      "conditions": {
        "item": {
          "items": "minecraft:spyglass"
        },
        "player": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type_specific": {
                "type": "minecraft:player",
                "looking_at": {
                  "type": "minecraft:ender_dragon"
                }
              }
            }
          }
        ]
      },
      "trigger": "minecraft:using_item"
    }
  },
  "requirements": [
    [
      "spyglass_at_dragon"
    ]
  ],
  "rewards": {
    "function": "koncept.bingo:bingo/dynamic_advancement/spyglass_at_dragon"
  },
  "sends_telemetry_event": true
}